package com.book.push.service.redis.impl;

import com.book.push.service.redis.RedisService;
import lombok.Cleanup;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import redis.clients.jedis.Jedis;
import redis.clients.jedis.JedisPool;

/**
 * created in 2021/8/20
 * Project: book-store
 *
 * @author win7
 */
@Service
public class RedisServiceImpl implements RedisService {
    @Autowired
    private JedisPool jedisPool;

    @Override
    public void set(String key, String value) {
        @Cleanup Jedis jedis = jedisPool.getResource();
        jedis.set(key, value);
    }

    @Override
    public String get(String key) {
        @Cleanup Jedis jedis = jedisPool.getResource();
        return jedis.get(key);
    }
}
