package com.book.server.service;

import com.book.dao.VO.*;
import com.book.dao.cps.pojo.SearchKeyword;
import com.book.dao.cpsshard.entity.UserRecentlyRead;
import com.book.server.common.entity.Result;

import java.util.List;

public interface BookService {
    List<BookRes> query(QueryVO queryVO);
    List<BookRes> recommendByRead(QueryVO queryVO);

    List<BlockRes> getBlockByPageId(Integer pageId);

    void insertBooks();

    List<Chapter> getChaptersByBookId(Long bookId);

    List<SearchKeyword> getSearchKeywordBySex(String sex);

    List<BookRes> topRecommend(QueryVO queryVO);

    List<BookRes> smartRecommand(QueryVO queryVO);

    Result<BookContent> getContentByContentId(BookContentVO bookContentVO);

    UserRecentlyRead getRecentReadByUserIdAndBookId(UserRecentlyRead userRecentlyRead);

    List<UserRecentlyRead> getRecentReadByUserId(UserRecentReadVO userRecentlyRead);
}
